Bug 4766 - SPEC - ItemWriter javadoc issues
SPEC - ItemWriter javadoc issues
Status: RESOLVED WONTFIX
Product: jbatch
Classification: Unclassified
Component: source
1
All All
: P5 minor
: ---
Assigned To: cvignola
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-11 18:46 UTC by mminella
Modified: 2013-03-20 02:46 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description mminella 2013-03-11 18:46:42 UTC
Similar to BUG 4764, the ItemWriter refers to what it writes to as a stream which may be confusing given what most java streams actually mean.  The same issues with the open and checkpointInfo javadoc also exist where the javadoc discusses the repositioning of the writer instead of re-establishing the state.
Comment 1 cvignola 2013-03-16 20:45:10 UTC
Will address same as bug 4764.
Comment 2 cvignola 2013-03-20 02:46:45 UTC
The stream oriented language will be fixed in the spec and javadoc now (PFD 1.7). Changing the writer/container contract will stay as is.